%define name mandvd
%define version 2.1.3
%define release %mkrel 1
%define distsuffix plf

Summary: Simply create DVD Vid
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}src.tar.bz2
License: GPL
Group:   Video
Url: http://www.kde-apps.org/content/show.php?content=38347
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot

BuildRequires: qt3-devel
BuildRequires: ImageMagick

Requires: dvd-slideshow >= 0.7.5
Requires: mencoder
Requires: xine-ui >= 0.99.4
Requires: lame >= 3.97
Requires: dvdauthor >= 0.6.11
Requires: mjpegtools >= 1.8.0
Requires: netpbm >= 10.29
Requires: transcode >= 1.0.2
Requires: dvd+rw-tools >= 5.21.4

%description
Video DVD creation tool

Mandvd is in PLF because it requires software in PLF

%prep 
%setup -q -n  ManDVD-%{version}

%build
%{_prefix}/lib/qt3/bin/qmake
%make

%install
rm -rf $RPM_BUILD_ROOT
install -d %buildroot/%_bindir
install -m 755 mandvd  %buildroot/%_bindir
install -d %buildroot/%{_miconsdir}
install -d %buildroot/%{_iconsdir}
install -d %buildroot/%{_liconsdir}

convert -scale 16 mandvdico.png %buildroot/%{_miconsdir}/%{name}.png
convert -scale 32 mandvdico.png %buildroot/%{_iconsdir}/%{name}.png
convert -scale 46 mandvdico.png %buildroot/%{_liconsdir}/%{name}.png

#menus
install -d %buildroot/%{_menudir}
cat <<EOF >%buildroot/%{_menudir}/%{name}
?package(%{name}):command="%{_bindir}/%{name}" \
                  icon=%{name}.png \
                  needs="x11" \
                  section="Multimedia/Video" \
                  title="ManDVD"\
                  longtitle="Video DVD creator"
                  xdg="true"
EOF

mkdir $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=%{title}
Comment=%{longtitle}
Exec=%{_bindir}/%{name} %U
Icon=%{name}
Terminal=false
Type=Application
Categories=X-Mandrakelinux-Multimedia-Video;
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post 
%{update_menus}

%postun 
%{clean_menus}


%files
%defattr(-,root,root)
#%doc COPYING INSTALL LisezMoi.txt
%{_bindir}/mandvd
%{_menudir}/*
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/*.png
%{_liconsdir}/*.png
%{_miconsdir}/*.png

%changelog
* Mon Aug 28 2006 Nicolas Lcureuil <neoclust@zarb.org> 2.1.3-1
- New release 2.1.3

* Mon Aug 21 2006 Nicolas Lcureuil <neoclust@zarb.org> 2.0.15-2plf2007.0
- Fix BuildRequires

* Mon Aug 14 2006 trem <trem@zarb.org> 2.0.15-1plf2007.0
- New release 2.0.15

* Fri Aug 11 2006 Nicolas Lcureuil <neoclust@zarb.org> 2.0.14-1plf2007.0
- New release 2.0.14

* Tue Jul 11 2006 Nicolas Lcureuil <neoclust@zarb.org>  2.0.2-1plf2007.0
- 2.0.5

* Mon Jul 10 2006 Nicolas Lcureuil <neoclust@zarb.org>  2.0.4-1plf
- 2.0.4
- Add PLF reason

* Wed Jun 14 2006 Nicolas Lcureuil <neoclust@zarb.org>  1.9-1plf
- 1.9

* Mon Jun 12 2006 Nicolas Lcureuil <neoclust@zarb.org>  1.8-1plf
- First PLF release from jmartin
